/* Header */
.navbar{
    width: 100%;
    background-color: rgba(255, 255, 255, 0.938);
    position: fixed;
    top: 0;
    box-shadow: 0px 0px 1px #E8E8E8;
    z-index: 10;
}
.header__ul a{
    text-decoration: none;
    font-weight: 400;
    font-size: 16px;
    color: black;
}
.header-icon{
    width: 30px;
    position: relative;
    top: 0.5vh;
    right: 0.4vw;
    margin-left: 30px;
}
.img__li{
    display: flex;
}
.img__li img{
    position: relative;
    top: -8px;
}

















/* Hero Section */
.hero__section{
    width: 100%;
    margin-top: 10vh;
}
.hero__h1{
    font-weight: 600;
    font-size: clamp(28px, 2.4vw, 48px);
    color: rgb(38, 50, 56);
}
.hero__p--intro{
    font-weight: 400;
    font-size: 20px;
    color: rgb(158, 158, 158);
}
.hero__label{
    display: block;
    font-weight: 500;
    font-size: 14px;
    color: rgb(33, 33, 33);
    margin-bottom: 1.5vh;
}
.hero__input--email{
    background: transparent;
    border: 1px solid rgb(158, 158, 158);
    border-radius: 5px;
}
.hero__p--readme, .hero__a{
    font-weight: 400;
    font-size: 14px;
    color: rgb(158, 158, 158);
    margin-top: 1vh;
}
.hero__img{
    height: fit-content;
}








/* Website Section */
.websites__section{
    margin-top: 25vh;
}
.websites__section h2{
    text-align: center;
    font-weight: 600;
    font-size: 16px;
    color: rgb(38, 50, 56);
}










/* Skills Section */
.skills__section{
    margin-top: 20vh;
}
.skills__subtitle{
    font-weight: 700;
    font-size: 16px;
    color: rgb(38, 50, 56);
    text-align: center;
}
.skills__title{
    font-weight: 600;
    font-size: 48px;
    color: rgb(38, 50, 56);
    margin-top: -2vh;
    margin-bottom: -1vh;
    text-align: center;
}
.skills__description{
    width: 80vw;
    text-align: center;
    justify-self: center;
    font-weight: 400;
    font-size: 20px;
    color: rgb(158, 158, 158);
    text-align: center;
}
.service__div {
    width: 50px;
    height: 50px;
    background: #222;         /* black circle */
    border-radius: 50%;       /* makes it a perfect circle */
    display: flex;
    justify-content: center;   /* center the image horizontally */
    align-items: center;       /* center the image vertically */
    margin: 20px auto;         /* center the whole circle */
    box-shadow: 0 2px 6px rgba(0,0,0,0.2);
}
.service__div img {
    width: 28px;               /* smaller white icon */
    height: 28px;
    filter: brightness(0) invert(1);   /* makes icon white */
    user-select: none;
}
.service__title{
    font-weight: 600;
    font-size: 20px;
    color: rgb(38, 50, 56);
    margin-top: 0;
    margin-bottom: 0vh;
}
.service__details{
    font-weight: 400;
    font-size: 16px;
    color: rgb(158, 158, 158);
    line-height: 26px;
}












/* Project Section */
.projects__section{
    margin-top: 15vh;
}
.project__title{
    font-weight: 600;
    font-size: 36px;
    color: rgb(38, 50, 56);
    text-align: center;
}
.project__description{
    width: 75vw;
    justify-self: center;
    font-weight: 400;
    font-size: 20px;
    color: rgb(158, 158, 158);
    line-height: 33px;
    text-align: center;
}
.card__title{
    font-weight: 600;
    font-size: 18px;
    color: rgb(66, 66, 66);
    line-height: 28px;
    margin-top: 5px;
    margin-bottom: -1vh;
}
.card__description{
    font-weight: 400;
    font-size: 16px;
    color: rgb(158, 158, 158);
    line-height: 26px;
}







/* Me Section */
.resume__section{
    margin-top: 15vh;
}
.resume h2{
    font-weight: 600;
    font-size: 36px;
    color: rgb(38, 50, 56);
    margin-bottom: 0;
}
.resume p{
    font-weight: 400;
    font-size: 16px;
    color: rgb(158, 158, 158);
    line-height: 26px;
}
.resume button img{
    width: 20px;
    position: relative;
    top: 0;
    left: 3px;
}
/* --------- */
.education__figure{
    display: flex;
}
.education__logo{
    width: 30px;
}
.education__title{
    margin-top: 8px;
    font-weight: 400;
    font-size: 16px;
    color: rgb(158, 158, 158);
    padding-left: 1vw;
    text-align: start;
}
/* ----- */
.education__div {
    width: 50px;
    height: 50px;
    background: #222;         /* black circle */
    border-radius: 10px;       /* makes it a perfect circle */
    display: flex;
    justify-content: center;   /* center the image horizontally */
    align-items: center;       /* center the image vertically */
    /* margin: 20px auto;      */
    box-shadow: 0 2px 6px rgba(0,0,0,0.2);
    margin-top: 0;
}
.education__div img {
    width: 28px;               /* smaller white icon */
    height: 28px;
    filter: brightness(0) invert(1);   /* makes icon white */
    user-select: none;
}











/* Clents Section */
.clients__section{
    margin-top: 15vh;
}
.clients__section h2{
    font-weight: 600;
    font-size: 36px;
    color: rgb(38, 50, 56);
    text-align: center;
}
.clients__description{
    font-weight: 400;
    font-size: 20px;
    color: rgb(158, 158, 158);
    width: 75vw;
    justify-self: center;
    text-align: center;
    margin-bottom: 5vh;
}
.clients__article h3{
    font-weight: 700;
    font-size: 30px;
    color: rgb(38, 50, 56);
}
.clients__article p{
    font-weight: 400;
    font-size: 16px;
    color: rgb(158, 158, 158);
    line-height: 26px;
}
.clients__article h4{
    font-weight: 600;
    font-weight: 16px;
    color: rgb(38, 50, 56);
    line-height: 26px;
    margin-top: -10px;
}
.clients__article h5{
    font-weight: 400;
    font-size: 14px;
    color: rgb(158, 158, 158);
}
.clients__article img{
    width: 40px;
    display: inline-block;
    justify-content: center;
    border: none;
    border-radius: 5px;
    margin-left: 10px;
}
/* ------- */
.client__img{
    object-fit: cover;
}













/* Trusted section */
.trusted__section{
    margin-top: 35vh;
}
.trusted__section h2{
    font-weight: 600;
    font-size: 16px;
    color: rgb(158, 158, 158);
    text-transform: uppercase;
    text-align: center;
}
.trusted__section h3{
    font-weight: 600;
    font-size: 36px;
    color: rgb(38, 50, 56);
    line-height: 47px;
    justify-self: center;
    margin-top: -1vh;
    text-align: center;
    margin-bottom: 8vh;
}
.trusted__section img{
    filter: contrast(10%) brightness(30%);
}










/* Contact section */
.contact__section{
    margin-top: 25vh;
}
.contact__title{
    font-weight: 600;
    font-size: 48px;
    color: rgb(38, 50, 56);
    line-height: 60px;
    margin-bottom: -1vh;
    text-align: center;
}
.contact__description{
    width: 65vw;
    justify-self: center;
    font-weight: 400;
    font-size: 20px;
    line-height: 33px;
    color: rgb(158, 158, 158);
    margin-bottom: 10vh;
    text-align: center;
}
.frame{
    border: none;
    border-radius: 20px;
    box-shadow: 0px 0px 8px rgb(158, 158, 158);
    align-items: center;
}
.info{
    padding-top: 10vh;
    width: 400px;
    height: 400px;
    background-color: #212121;
    color: white;
    padding-left: 4vw;
    border: none;
    border-radius: 10px;
}
.info h3{
    font-weight: 600;
    font-size: 24px;
    margin-top: 0;
    margin-bottom: 0;
}
.info p{
    font-weight: 400;
    font-size: 16px;
    color: rgb(158, 158, 158);
    margin-bottom: 12vh;
}
.meet__figure{
    display: flex;
    margin-left: 0;
    gap: 1vw;
}
.meet__figure img{
    margin-top: -0.5vh;
    width: 20px;
    fill: white;
    color: white;
    filter: brightness(0) invert(1);
}
.source{
    margin-top: 0;
    font-weight: 600;
    font-size: 16px;
    color: white;
}
.user__form{
    margin-top: 10vh;
}


.user__form label{
    font-weight: 400;
    font-size: 14px;
    color: rgb(96, 125, 139);
}
.user__form input{
    display: block;
    border: none;
    border-bottom: 1px solid rgb(158, 158, 158);
    width: 280px;
}
textarea{
    border: none;
    border-bottom: 1px solid rgb(158, 158, 158);
    /* width: 280px; */
}
.row{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.column{
    display: flex;
    flex-direction: column;
    align-items: start;
    margin-bottom: 3vh;
}
.div--email{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 3vh;
    margin-top: 5vh;
}
.div--email input{
    width: 280px;
}
.div__radio{
    text-align: left;
    margin-top: 8vh;
    font-weight: 300;
    font-size: 16px;
    color: rgb(97, 97, 97);
}
.fieldset__radio{
    margin-top: 3vh;
}
.div__textarea{
    display: flex;
    flex-direction: column;
    text-align: left;
    margin-top: 10vh;
}













/* Footer */
.footer{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 15vh;
}
.footer__title{
    font-weight: 400;
    font-size: 14px;
    color: rgb(97, 97, 97);
}
.footer__ul a{
    font-weight: 400;
    font-size: 14px;
    color: rgb(97, 97, 97);
    text-decoration: none;
    transition: 0.3s ease-in-out;
}
.footer__ul a:hover{
    color: black;
}